Bug 1260196 - [RFE] Cloud Inventory collection should gather and store disk info for flavors [NEEDINFO]
[RFE] Cloud Inventory collection should gather and store disk info for flavors
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity medium
: GA
: 5.5.0
Assigned To: Joe Vlcek
Pavol Kotvan
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-04 13:21 EDT by Greg Blomquist
Modified: 2016-02-09 12:43 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.5.0.2
Doc Type: Enhancement
Doc Text:
The new version of CloudForms Management Engine collects and stores inventory information about disks available for flavours on cloud providers.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:29:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cfme-bot: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Greg Blomquist 2015-09-04 13:21:37 EDT
Both Amazon and OpenStack Cloud have disk information for flavors.

Amazon:

In https://github.com/ManageIQ/manageiq/blob/538d51cc0e81d996e8c0fd11c5b72fc3dca813df/app/models/manageiq/providers/amazon/instance_types.rb#L120-L121

>     "m3.medium" => {
>       :name                    => "m3.medium",
>       :family                  => "General Purpose",
>       :description             => "M3 General Purpose Medium",
>       :memory                  => 3.75.gigabytes,
>       :vcpu                    => 1,
>       :ebs_only                => false,
>*******:instance_store_size     => 4.gigabytes,
>*******:instance_store_volumes  => 1, # SSD
>       :architecture            => [:x86_64],
>       :virtualization_type     => [:paravirtual, :hvm],
>       :network_performance     => :moderate,
>       :physical_processor      => "Intel Xeon E5-2670v2",
>       :processor_clock_speed   => 2.5, # GHz
>       :intel_aes_ni            => true,
>       :intel_avx               => true,
>       :intel_avx2              => nil,
>       :intel_turbo             => true,
>       :ebs_optimized_available => nil,
>       :enhanced_networking     => nil,
>       :cluster_networking      => nil,
>       :vpc_only                => false,
>     },

OpenStack:

> [root]# nova flavor-list
> +----+-----------+-----------+------+-----------+------+-------+-------------+-----------+
> | ID | Name      | Memory_MB | Disk | Ephemeral | Swap | VCPUs | RXTX_Factor | Is_Public |
> +----+-----------+-----------+------+-----------+------+-------+-------------+-----------+
> | 1  | m1.tiny   | 512       | 1    | 0         |      | 1     | 1.0         | True      |
> | 2  | m1.small  | 2048      | 20   | 0         |      | 1     | 1.0         | True      |
> | 3  | m1.medium | 4096      | 40   | 0         |      | 2     | 1.0         | True      |
> | 4  | m1.large  | 8192      | 80   | 0         |      | 4     | 1.0         | True      |
> | 5  | m1.xlarge | 16384     | 160  | 0         |      | 8     | 1.0         | True      |
> +----+-----------+-----------+------+-----------+------+-------+-------------+-----------+
> 
> [root]# nova flavor-show m1.medium
> +----------------------------+-----------+
> | Property                   | Value     |
> +----------------------------+-----------+
> | OS-FLV-DISABLED:disabled   | False     |
> | OS-FLV-EXT-DATA:ephemeral  | 0         |
> | disk                       | 40        |
> | extra_specs                | {}        |
> | id                         | 3         |
> | name                       | m1.medium |
> | os-flavor-access:is_public | True      |
> | ram                        | 4096      |
> | rxtx_factor                | 1.0       |
> | swap                       |           |
> | vcpus                      | 2         |
> +----------------------------+-----------+

We should capture both the image size and the volume count.  Since OpenStack doesn't provide volume count, it will always be one as long as the disk size is non-zero (meaning, non-ephemeral).  See http://docs.openstack.org/openstack-ops/content/flavors.html.
Comment 3 CFME Bot 2015-09-15 14:48:12 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/8a8947abcc2e039ea1e8835439a182ea7b65f1d8

commit 8a8947abcc2e039ea1e8835439a182ea7b65f1d8
Author:     Joe VLcek <jvlcek@redhat.com>
AuthorDate: Fri Sep 11 17:04:30 2015 -0400
Commit:     Joe VLcek <jvlcek@redhat.com>
CommitDate: Mon Sep 14 18:09:26 2015 -0400

    Gather disk info for Cloud Inventory.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1260196

 .../amazon/cloud_manager/refresh_parser.rb         | 10 ----------
 .../openstack/cloud_manager/refresh_parser.rb      | 11 +++++------
 .../20150911152048_add_disk_info_to_flavors.rb     |  6 ++++++
 .../ems_refresh/refreshers/ec2_refresher_spec.rb   |  2 ++
 .../refreshers/openstack/refresh_spec_common.rb    | 22 ++++++++++++++++++++++
 5 files changed, 35 insertions(+), 16 deletions(-)
 create mode 100644 db/migrate/20150911152048_add_disk_info_to_flavors.rb
Comment 9 CFME Bot 2015-09-15 16:37:16 EDT
New commit detected on ManageIQ/manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/8a8947abcc2e039ea1e8835439a182ea7b65f1d8

commit 8a8947abcc2e039ea1e8835439a182ea7b65f1d8
Author:     Joe VLcek <jvlcek@redhat.com>
AuthorDate: Fri Sep 11 17:04:30 2015 -0400
Commit:     Joe VLcek <jvlcek@redhat.com>
CommitDate: Mon Sep 14 18:09:26 2015 -0400

    Gather disk info for Cloud Inventory.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1260196

 .../amazon/cloud_manager/refresh_parser.rb         | 10 ----------
 .../openstack/cloud_manager/refresh_parser.rb      | 11 +++++------
 .../20150911152048_add_disk_info_to_flavors.rb     |  6 ++++++
 .../ems_refresh/refreshers/ec2_refresher_spec.rb   |  2 ++
 .../refreshers/openstack/refresh_spec_common.rb    | 22 ++++++++++++++++++++++
 5 files changed, 35 insertions(+), 16 deletions(-)
 create mode 100644 db/migrate/20150911152048_add_disk_info_to_flavors.rb
Comment 10 Joe Vlcek 2015-09-17 08:51:31 EDT
The fix for this PR gathers and stores disk_size and disk_count from Amazon and Openstack Cloud providers.

Although there could be more work to fully and properly address properly gathering disk flavor information from Openstack, I am moving this BZ to post.

Further work will be tracked in a different RFE.
Comment 20 errata-xmlrpc 2015-12-08 08:29:31 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551
Comment 22 CFME Bot 2016-02-09 12:43:30 EST
Detected commit referencing this ticket while ticket status is CLOSED.

Note You need to log in before you can comment on or make changes to this bug.